# kio Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KCrashBookmarkImporter Class Reference

A class for importing all crash sessions as bookmarks. More...

`#include <kbookmarkimporter_crash.h>`

Inheritance diagram for KCrashBookmarkImporter:

[legend]
Collaboration diagram for KCrashBookmarkImporter:

[legend]
List of all members.

## Signals

void | newBookmark (const QString &text, const QCString &url, const QString &additionalInfo)
void | newFolder (const QString &text, bool open, const QString &additionalInfo)
void | newSeparator ()
void | endFolder ()

## Public Member Functions

| KCrashBookmarkImporter (const QString &fileName)
void | parseCrashBookmarks (bool del=true)

## Static Public Member Functions

static QString | crashBookmarksDir ()
static QStringList | getCrashLogs ()

## Protected Member Functions

void | parseCrashLog (QString filename, bool del)

## Protected Attributes

QString | m_fileName

## Detailed Description

A class for importing all crash sessions as bookmarks.

Deprecated:

Definition at line 37 of file kbookmarkimporter_crash.h.

The documentation for this class was generated from the following files:

- kbookmarkimporter_crash.h
- kbookmarkimporter_crash.cc

This file is part of the documentation for kio Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:24:21 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003